[Overview][Constants][Classes][Index] | Reference for unit 'bufstream' (#fcl)

# TBufStream.Capacity

Current buffer capacity

## Declaration

Source position: bufstream.pp line 51

`public property TBufStream.Capacity : Integer read FCapacity write SetCapacity;`

## Description

Capacity is the amount of memory the buffer occupies. To change the buffer size, the capacity can be set. Note that the capacity cannot be set to a value that is less than the current buffer size, i.e. the current amount of data in the buffer.

## See also

TBufStream.Create |  | Create a new TBufStream instance.
TBufStream.Buffer |  | The current buffer
TBufStream.BufferSize |  | Amount of data in the buffer
TBufStream.BufferPos |  | Current buffer position.

Documentation generated on: Feb 26 2014